pragma ComponentBehavior: Bound
import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

Page {
    id: page

    title: qsTr("Login")

    ColumnLayout {
        Label {
            id: userLabel

            Mnemonic.label: qsTr("&User:")
            text: Mnemonic.richTextLabel

            Shortcut {
                sequence: userLabel.Mnemonic.sequence

                onActivated: function () {
                    user.forceActiveFocus();
                }
            }
        }

        TextField {
            id: user

            focus: true
        }

        Label {
            id: passwordLabel

            Mnemonic.label: qsTr("&Password:")
            text: Mnemonic.richTextLabel

            Shortcut {
                sequence: passwordLabel.Mnemonic.sequence

                onActivated: function () {
                    password.forceActiveFocus();
                }
            }
        }

        TextField {
            id: password

            echoMode: TextInput.Password
        }

        Button {
            action: loginAction
        }
    }

    Action {
        id: loginAction

        Mnemonic.label: qsTr("Log &in")
        shortcut: Mnemonic.sequence
        text: Mnemonic.richTextLabel

        onTriggered: function () {
            Database.open(user.text, password.text);
        }
    }
}
